Bug 124221 - fc2 on thinkpad a21p...screen output problems
fc2 on thinkpad a21p...screen output problems
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2004-05-24 15:59 EDT by Martin Furman
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-11-29 17:23:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Working FC2 xorg.conf from IBM A21p (7.33 KB, text/plain)
2004-05-27 10:20 EDT, Phil Schaffner
no flags Details

  None (edit)
Description Martin Furman 2004-05-24 15:59:26 EDT
Description of problem:
insatlled fedora core 2 on thinkpad a21p. install and configuration 
goes through but once the laptop reboots and starts x the screan is 
not legible...

i then went through console and edited the xorg.conf and changed 
depth fro 24 to 16...

x came up properly but the screan then went all white and locked up...
i rebooted and x ran for about 10 min then did it again...i was 
afraid of buring he lcd so i am waiting for a responce before i 
atempt any thing else

Version-Release number of selected component (if applicable):
Fedora Core 2 with 2.6.5 kernel

How reproducible:

Steps to Reproduce:
1.install fc2 on thinkpad a21p
Actual results:

Expected results:

Additional info:
Comment 1 Phil Schaffner 2004-05-27 10:20:02 EDT
Created attachment 100632 [details]
Working FC2 xorg.conf from IBM A21p
Comment 2 Phil Schaffner 2004-05-27 10:21:07 EDT
Found this when getting ready to do a bug entry on anaconda upgrade on
A21p.  While doing upgrade system "froze" did not proceed for a long
period.  Tried to change to VC2 and screen did a slow fade to white. 
After that, no response to any keyboard/mouse inputs.  Had to power
down.  On reboot found new kernel working but many packages not
upgraded.  See comments to 123858. System is working now after
manually completing upgrade.  Attached working xorg.conf.
Comment 3 Phil Schaffner 2004-11-04 22:57:18 EST
Should note, need "linux acpi=off" for installation, and added to GRUB
kernel line.
Comment 4 Mike A. Harris 2004-11-29 17:23:30 EST
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core 3, which can be obtained from:


If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Note You need to log in before you can comment on or make changes to this bug.